From: Jakub Jirutka <jakub@jirutka.cz>
Date: Wed, 15 Dec 2021 22:37:42 +0100
Subject: [PATCH] Avoid redefined warnings when building with utmps

--- a/includes.h
+++ b/includes.h
@@ -62,6 +62,9 @@
 #endif
 
 #ifdef HAVE_UTMP_H
+/* _PATH_UTMP and _PATH_WTMP are defined both in paths.h and utmps/utmp.h. */
+#  undef _PATH_UTMP
+#  undef _PATH_WTMP
 #  include <utmp.h>
 #endif
 #ifdef HAVE_UTMPX_H
